# Interface BackgroundProcess

All Known Implementing Classes:
  `WsServerContainer, WsWebSocketContainer, WsWriteTimeout`

public interface BackgroundProcess

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `backgroundProcess()`
  `int`
  `getProcessPeriod()`
  `void`
  `setProcessPeriod(int period)`

- ## Method Details

  - ### backgroundProcess

    void backgroundProcess()

  - ### setProcessPeriod

    void setProcessPeriod(int period)

  - ### getProcessPeriod

    int getProcessPeriod()